"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const values_default_1 = require("../default/values.default");
function hasLines(dirPath) {
    const dir = fs_1.default.readdirSync(dirPath);
    return dir.filter(dir => hasValidExtensions(dir, dirPath)).length > 0;
}
function hasValidExtensions(dir, dirPath) {
    if (!values_default_1.defaultIgnoredDirs.includes(dir) && !dir.startsWith('.')) {
        return (fs_1.default.statSync(path_1.default.join(dirPath, dir)).isDirectory() && hasLines(path_1.default.join(dirPath, dir)))
            || values_default_1.defaultValidExtensions.some(defaultValidExtension => dir.endsWith(`.${defaultValidExtension}`));
    }
    return false;
}
exports.hasValidExtensions = hasValidExtensions;
