"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const kleur_1 = require("kleur");
const figlet = tslib_1.__importStar(require("figlet"));
const console_message_1 = require("../models/console-message");
const timer_util_1 = require("./timer.util");
const percentage_util_1 = require("./percentage.util");
const newLine = '\n';
exports.showTitleAndBanner = () => {
    console.log(newLine);
    console.log(kleur_1.cyan(figlet.textSync(console_message_1.ConsoleMessage.TITLE, { horizontalLayout: 'full' })));
    console.info(kleur_1.cyan(console_message_1.ConsoleMessage.BANNER));
};
exports.showStartChecking = () => {
    console.info(console_message_1.ConsoleMessage.START_CHECKING + newLine);
};
exports.showError = (message) => {
    console.error(kleur_1.red(console_message_1.ConsoleMessage.ERROR) + message);
};
exports.showWarning = (message) => {
    console.warn(kleur_1.yellow(console_message_1.ConsoleMessage.WARNING) + message);
};
exports.showSuccess = (message) => {
    console.log(kleur_1.green(console_message_1.ConsoleMessage.SUCCESS) + message + newLine);
};
exports.showInfo = (message) => {
    console.info(kleur_1.cyan(console_message_1.ConsoleMessage.INFO) + message + newLine);
};
exports.showTotalLines = (info) => {
    console.info(kleur_1.cyan(`${info.lineInfo.total}`) + ` - total lines (100.00%)`);
};
exports.showWrittenLines = (info) => {
    console.info(kleur_1.cyan(`${info.lineInfo.written}`) + ` - written lines (${percentage_util_1.getWrittenPercentage(info)})`);
};
exports.showEmptyLines = (info) => {
    console.info(kleur_1.cyan(`${info.lineInfo.empty}`) + ` - empty lines (${percentage_util_1.getEmptyPercentage(info)})` + newLine);
};
exports.showTotalFiles = (info, initialTime) => {
    console.info(kleur_1.cyan(`${info.fileInfo}`) + ` - total files, calculated in ${timer_util_1.getExecutionTime(initialTime)}` + newLine + newLine);
};
