"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kleur_1 = require("kleur");
const getPercentage = (currentCount, totalCount) => {
    return Math.round(10000 * currentCount / totalCount) / 100;
};
const getColorPercentage = (succesCondition, warningCondition, percentage) => {
    if (succesCondition)
        return `${kleur_1.green(`${percentage}%`)}`;
    if (warningCondition)
        return `${kleur_1.yellow(`${percentage}%`)}`;
    return `${kleur_1.red(`${percentage}%`)}`;
};
exports.getWrittenPercentage = (info) => {
    const { lineInfo: { written, total } } = info;
    const tresholdPercentage = 75;
    const percentage = getPercentage(written, total);
    return getColorPercentage(percentage >= (tresholdPercentage + 10), percentage >= tresholdPercentage && percentage < (tresholdPercentage + 10), percentage);
};
exports.getEmptyPercentage = (info) => {
    const { lineInfo: { empty, total } } = info;
    const tresholdPercentage = 25;
    const percentage = getPercentage(empty, total);
    return getColorPercentage(percentage <= (tresholdPercentage - 10), percentage <= tresholdPercentage && percentage > (tresholdPercentage - 10), percentage);
};
